[Deprecated]: V11.0
get
/ec-designer-svc/rest/v11.0/studies/{studyId}/versions/{version}/forms/{formId}
Deprecated: Use latest version instead. Retrieves one form in a study version. Use `/v17.0/studies/{studyId}/versions/{version}/forms/{formId}` for the active endpoint.
Request
Path Parameters
-
formId(required): string(uuid)
Form ID (UUID, 32-character uppercase hexadecimal string). Required.Example:
2F9A6C7E1B8F4D56A23C9F3A0C7D4E11 -
studyId(required): string(uuid)
Study ID (UUID, 32-character uppercase hexadecimal string). Required.Example:
F054C951EB74443C93716CA714AB686E -
version(required): string
Study version path segment. Required. Example: "1.0.0.1".Example:
1.0.0.1
Query Parameters
-
mode(required): string
Study mode for data classifications. Allowed values: design (draft design data), test (testing data), training (training data), active (approved production data), all (all modes).Default Value:
designAllowed Values:[ "test", "training", "active", "design" ]Example:design
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : FormDto v12.0
Type:
objectTitle:
FormDto v12.0A form definition returned for a study version.
Show Source
-
dynamic: integer
(int32)
Count of forms items that point to this form for Show Form featureExample:
4 -
formType: string
Allowed Values:
[ "STANDARD_FORM", "LAB_FORM", "TWO_SECTION_FORM", "DRUG_RECONCILIATION_FORM", "STANDARD_FORM, LAB_FORM, TWO_SECTION_FORM" ]Form type.Example:STANDARD_FORM -
hasRevision: boolean
Indicate whether any revisions from a newer study version have been appliedExample:
true -
id: string
(uuid)
Form ID (UUID, 32-character uppercase hexadecimal string).
-
items: array
items
-
refname(required): string
Minimum Length:
1Maximum Length:64Form refnameExample:FORM_01 -
repeat: boolean
Form repeating?Example:
false -
source: object
FormCopySourceDto v12.0
Title:
FormCopySourceDto v12.0Form Copy Source Information -
title(required): string
Minimum Length:
1Maximum Length:64Form titleExample:Demography -
versionStart: string
(date-time)
Version Start dateExample:
2018-11-23T08:43:01.7Z
Example:
{
"id":"B1B8327AFAA6412287106192AB5984EF",
"title":"Demography",
"refname":"FORM_01",
"repeat":false,
"items":[
{
"id":"C2C8327AFAA6412287106192AB5984EF",
"questionType":"text",
"questionLabel":"Date of birth",
"refname":"DOB_01",
"required":true,
"sequence":1
}
]
}Nested Schema : items
Type:
Show Source
array-
Array of:
object FormItemDto v12.0
Title:
FormItemDto v12.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov12", "numeric":"#/components/schemas/FormNumberItemDtov12", "measurement":"#/components/schemas/FormNumberItemDtov12", "text":"#/components/schemas/FormTextItemDtov12", "choice":"#/components/schemas/FormChoiceItemDtov12", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov12", "table":"#/components/schemas/FormTableItemDto", "label":"#/components/schemas/FormLabelItemDto" } }Form Item Information
Nested Schema : FormCopySourceDto v12.0
Type:
objectTitle:
FormCopySourceDto v12.0Form Copy Source Information
Show Source
-
FormId: string
(uuid)
Source Form GUID
-
id: string
(uuid)
Source Study GUID
-
StudyTitle: string
Source Study titleExample:
Study-s1 -
versionStart: string
(date-time)
Version Start dateExample:
2018-11-23T08:43:01.7Z -
versionstart: boolean
is Rules CopiedExample:
false
Nested Schema : FormItemDto v12.0
Type:
objectTitle:
FormItemDto v12.0Discriminator: questionType
Discriminator Values
Form Item Information
Show Source
-
advancedProps: array
advancedProps
-
applyChangeToVersion: string
For IPR apply change to versionExample:
1.0.0.1 -
clLabNormalsTag: string
Code list Lab Normals Tag used in the code list dialog taggingExample:
LabTest, LabUnit, LabGender, LabRace, LabStandardResult -
dataClassificationIds: array
dataClassificationIds
-
dataClassificationLevel: string
Data classification level if applicableExample:
edit, view -
dynamic: integer
(int32)
How many leading questions in this form have to be answered by user correctly before Item is included into the form.Example:
1 -
formId: string
(uuid)
Form Unique GUID
-
formTitle: string
Form titleExample:
Demography -
formula: string
Smart item formula.Example:
[{'ruleName':'AGE','ruleExpression':'AgeInYears(AGE_DOB_01, visitDate)'}] -
groupSequence: integer
(int32)
Group sequence.
- hidden: boolean
-
id: string
(uuid)
Form Item Unique GUID
-
isCohortFactor: boolean
Flag that indicates whether this form item is used as a factor for randomization cohort or not.Example:
false -
isStrataFactor: boolean
Flag that indicates whether this form item is used as a factor for randomization stratum or not.Example:
false -
labNormalsTag: string
Lab Normals Tag used in dialog taggingExample:
LabTest, LabUnit, LabLowRange, LabHighRange, LabStandardResult -
questionHint: string
Minimum Length:
0Maximum Length:4000Form question hintExample:What is your age? -
questionLabel(required): string
Minimum Length:
1Maximum Length:4000Form question labelExample:Age -
questionType(required): string
-
randomizationTag: boolean
Flag that indicates whether this form item should be used for randomization stratification or not.Example:
true -
readOnly: boolean
Is form item read only?Example:
false -
refname(required): string
Minimum Length:
1Maximum Length:64Form item reference name.Example:NUMBER_01 -
required(required): boolean
Whether this form item is requiered or not.Example:
true -
ruleSet: string
A JSON-formatted set of rules to do validation of the answers.Example:
{'logicalOperator':'NONE','rules':[],'numberIndex':1} -
sasLabel: string
Form Item sasLabelExample:
Adverse Event -
sasVariable: string
Form Item SASVariableExample:
AE -
sdvRequired(required): string
Allowed Values:
[ "NOTSET", "NEVER", "ALWAYS", "CRITICAL" ]Source Data Verification TypeExample:NEVER(0),ALWAYS(1),CRITICAL(2) -
sequence: integer
(int32)
Item position in the form.Example:
1 -
smartItemId: string
(uuid)
Smart item Unique GUID
-
smartObject: string
Smart object.Example:
AGE
Match One Schema
Show Source
-
object
FormNumberItemDto v12.0
Title:
FormNumberItemDto v12.0Form Number Item Details Information -
object
FormChoiceItemDto v12.0
Title:
FormChoiceItemDto v12.0Form Choice Item Details Information -
object
FormTextItemDto v12.0
Title:
FormTextItemDto v12.0Form text Item Details Information -
object
FormDatetimeItemDto v12.0
Title:
FormDatetimeItemDto v12.0Form DateTime Item Details Information -
object
FormQuestionGroupItemDto v12.0
Title:
FormQuestionGroupItemDto v12.0Form Question Group Item Details Information -
object
FormTableItemDto
-
object
FormLabelItemDto
Nested Schema : advancedProps
Type:
Show Source
array-
Array of:
object From Item Advanced Property v12.0
Title:
From Item Advanced Property v12.0Form Item Advanced Property
Nested Schema : dataClassificationIds
Type:
Show Source
array-
Array of:
object From Item Advanced Property v12.0
Title:
From Item Advanced Property v12.0Form Item Advanced Property
Nested Schema : FormNumberItemDto v12.0
Type:
objectTitle:
FormNumberItemDto v12.0Form Number Item Details Information
Match All
Form Number Item Details Information
Form Number Item Details Information
Show Source
-
object
FormItemDto v12.0
Title:
FormItemDto v12.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov12", "numeric":"#/components/schemas/FormNumberItemDtov12", "measurement":"#/components/schemas/FormNumberItemDtov12", "text":"#/components/schemas/FormTextItemDtov12", "choice":"#/components/schemas/FormChoiceItemDtov12", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov12", "table":"#/components/schemas/FormTableItemDto", "label":"#/components/schemas/FormLabelItemDto" } }Form Item Information -
object
FormNumberItemDto v12.0-allOf[1]
Nested Schema : FormChoiceItemDto v12.0
Type:
objectTitle:
FormChoiceItemDto v12.0Form Choice Item Details Information
Match All
Form Choice Item Details Information
Form Choice Item Details Information
Show Source
-
object
FormItemDto v12.0
Title:
FormItemDto v12.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov12", "numeric":"#/components/schemas/FormNumberItemDtov12", "measurement":"#/components/schemas/FormNumberItemDtov12", "text":"#/components/schemas/FormTextItemDtov12", "choice":"#/components/schemas/FormChoiceItemDtov12", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov12", "table":"#/components/schemas/FormTableItemDto", "label":"#/components/schemas/FormLabelItemDto" } }Form Item Information -
object
FormChoiceItemDto v12.0-allOf[1]
Nested Schema : FormTextItemDto v12.0
Type:
objectTitle:
FormTextItemDto v12.0Form text Item Details Information
Match All
Form text Item Details Information
Form text Item Details Information
Show Source
-
object
FormItemDto v12.0
Title:
FormItemDto v12.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov12", "numeric":"#/components/schemas/FormNumberItemDtov12", "measurement":"#/components/schemas/FormNumberItemDtov12", "text":"#/components/schemas/FormTextItemDtov12", "choice":"#/components/schemas/FormChoiceItemDtov12", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov12", "table":"#/components/schemas/FormTableItemDto", "label":"#/components/schemas/FormLabelItemDto" } }Form Item Information -
object
FormTextItemDto v12.0-allOf[1]
Nested Schema : FormDatetimeItemDto v12.0
Type:
objectTitle:
FormDatetimeItemDto v12.0Form DateTime Item Details Information
Match All
Form DateTime Item Details Information
Form DateTime Item Details Information
Show Source
-
object
FormItemDto v12.0
Title:
FormItemDto v12.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov12", "numeric":"#/components/schemas/FormNumberItemDtov12", "measurement":"#/components/schemas/FormNumberItemDtov12", "text":"#/components/schemas/FormTextItemDtov12", "choice":"#/components/schemas/FormChoiceItemDtov12", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov12", "table":"#/components/schemas/FormTableItemDto", "label":"#/components/schemas/FormLabelItemDto" } }Form Item Information -
object
FormDatetimeItemDto v12.0-allOf[1]
Nested Schema : FormQuestionGroupItemDto v12.0
Type:
objectTitle:
FormQuestionGroupItemDto v12.0Form Question Group Item Details Information
Match All
Form Question Group Item Details Information
Show Source
-
object
FormItemDto v12.0
Title:
FormItemDto v12.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov12", "numeric":"#/components/schemas/FormNumberItemDtov12", "measurement":"#/components/schemas/FormNumberItemDtov12", "text":"#/components/schemas/FormTextItemDtov12", "choice":"#/components/schemas/FormChoiceItemDtov12", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov12", "table":"#/components/schemas/FormTableItemDto", "label":"#/components/schemas/FormLabelItemDto" } }Form Item Information
Nested Schema : FormTableItemDto
Type:
objectMatch All
Show Source
-
object
FormItemDto v14.0
Title:
FormItemDto v14.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov14", "numeric":"#/components/schemas/FormNumberItemDtov14", "measurement":"#/components/schemas/FormNumberItemDtov14", "text":"#/components/schemas/FormTextItemDtov14", "choice":"#/components/schemas/FormChoiceItemDtov14", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov14", "table":"#/components/schemas/FormTableItemDto", "label":"#/components/schemas/FormLabelItemDto" } }Form Item Information -
object
FormTableItemDto-allOf[1]
Nested Schema : FormLabelItemDto
Type:
objectMatch All
Show Source
-
object
FormItemDto v21.0
Title:
FormItemDto v21.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormLabelItemDto", "instructionalText":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }Base schema for a form item returned from a study form. The questionType value identifies the concrete item schema. -
object
FormLabelItemDto-allOf[1]
Nested Schema : From Item Advanced Property v12.0
Type:
objectTitle:
From Item Advanced Property v12.0Form Item Advanced Property
Show Source
-
id: string
(uuid)
Extended Property ID
-
label: string
Rollover study nameExample:
Rollover Study BT-31 -
name(required): string
Minimum Length:
1Maximum Length:255Advanced property nameExample:RolloverQuestionStudyId -
rules: array
rules
-
value(required): string
Minimum Length:
1Maximum Length:2048Advanced property value. For example, rollover study UUIDExample:B1B8327AFAA6412287106192AB5984EF
Nested Schema : rules
Type:
Show Source
array-
Array of:
object From Item Advanced Property Rule v12.0
Title:
From Item Advanced Property Rule v12.0Form Item Advanced Property Rule
Nested Schema : From Item Advanced Property Rule v12.0
Type:
objectTitle:
From Item Advanced Property Rule v12.0Form Item Advanced Property Rule
Show Source
-
label: string
For RolloverQuestion property it is an ECDV_CODELISTITEM.VALUEExample:
Yes -
name: string
nameExample:
RolloverQuestionAnswer -
value: string
For RolloverQuestion property it is an ECDV_CODELISTITEM.CODELISTITEM_IDExample:
B1B8327AFAA6412287106192AB5984EF
Nested Schema : FormNumberItemDto v12.0-allOf[1]
Type:
Show Source
object-
precision: integer
(int32)
Minimum Value:
0Number value precisionExample:1 -
units: string
Units of measureExample:
kg
Nested Schema : FormChoiceItemDto v12.0-allOf[1]
Type:
Show Source
object-
clDescription: string
Minimum Length:
0Maximum Length:4000Codelist description only for choice type formitemExample:Standard gender codelist -
clTitle: string
Codelist title only for choice type formitemExample:
Gender -
columnLayout: string
Coumn Layout codelist IDExample:
EBCF17C5F8D4460AA4A9673485C79CF0 -
columnLayoutLabel: string
Coumn Layout Label in UIExample:
Single -
display: string
Pattern:
selectbox|checkbox|radioset|labelForm choice item display in UI - Selectbox.Example:selectbox -
isCodeListReplaced: boolean
Indicates if the choice option codelist is replacedExample:
true -
options: array
options
Nested Schema : options
Type:
Show Source
array-
Array of:
object FormOptionDto v12.0
Title:
FormOptionDto v12.0Form choice item option details
Nested Schema : FormOptionDto v12.0
Type:
objectTitle:
FormOptionDto v12.0Form choice item option details
Show Source
-
clCode: string
Codelist code for a one specific choice.Example:
1 -
clDescription: string
Minimum Length:
1Maximum Length:4000Codelist description for a one specific choice.Example:1 -
label: string
Minimum Length:
1Maximum Length:4000Form choice selectbox label for a one specific choice.Example:Female -
value: string
Minimum Length:
1Maximum Length:4000Form choice selectbox value for a one specific choice.Example:1
Nested Schema : FormTextItemDto v12.0-allOf[1]
Type:
Show Source
object-
maxlength: integer
(int32)
Minimum Value:
0Maximum Value:4000Form text item max lengthExample:4000 -
multiline: boolean
Is form text item multilineExample:
false
Nested Schema : FormDatetimeItemDto v12.0-allOf[1]
Type:
Show Source
object-
allowPartialDate: integer
(int32)
Minimum Value:
0Maximum Value:1Allow partial dateExample:1 -
format: string
Pattern:
yyyy|MMM-yyyy|dd-MMM-yyyy|dd-MMM-yyyy HH:mmDate time formatExample:DD-MON-YYYY -
partialDate: string
Pattern:
yyyy|MMM-yyyyPartial date formatExample:Jan-1993
Nested Schema : FormItemDto v14.0
Type:
objectTitle:
FormItemDto v14.0Discriminator: questionType
Discriminator Values
Form Item Information
Show Source
-
advancedProps: array
advancedProps
-
applyChangeToVersion: string
For IPR apply change to versionExample:
1.0.0.1 -
clLabNormalsTag: string
Code list Lab Normals Tag used in the code list dialog taggingExample:
LabTest, LabUnit, LabGender, LabRace, LabStandardResult -
dataClassificationIds: array
dataClassificationIds
-
dataClassificationLevel: string
Data classification level if applicableExample:
edit, view -
dynamic: integer
(int32)
How many leading questions in this form have to be answered by user correctly before Item is included into the form.Example:
1 -
formId: string
(uuid)
Form Unique GUID
-
formTitle: string
Form titleExample:
Demography -
formula: string
Smart item formula.Example:
[{'ruleName':'AGE','ruleExpression':'AgeInYears(AGE_DOB_01, visitDate)'}] -
groupSequence: integer
(int32)
Group sequence.
- hidden: boolean
-
id: string
(uuid)
Form Item Unique GUID
-
isCohortFactor: boolean
Flag that indicates whether this form item is used as a factor for randomization cohort or not.Example:
false -
isStrataFactor: boolean
Flag that indicates whether this form item is used as a factor for randomization stratum or not.Example:
false -
labNormalsTag: string
Lab Normals Tag used in dialog taggingExample:
LabTest, LabUnit, LabLowRange, LabHighRange, LabStandardResult -
questionHint: string
Minimum Length:
0Maximum Length:4000Form question hintExample:What is your age? -
questionLabel(required): string
Minimum Length:
1Maximum Length:4000Form question labelExample:Age -
questionType(required): string
-
randomizationTag: boolean
Flag that indicates whether this form item should be used for randomization stratification or not.Example:
true -
readOnly: boolean
Is form item read only?Example:
false -
refname(required): string
Minimum Length:
1Maximum Length:64Form item reference name.Example:NUMBER_01 -
required(required): boolean
Whether this form item is requiered or not.Example:
true -
ruleSet: string
A JSON-formatted set of rules to do validation of the answers.Example:
{'logicalOperator':'NONE','rules':[],'numberIndex':1} -
sasLabel: string
Form Item sasLabelExample:
Adverse Event -
sasVariable: string
Form Item SASVariableExample:
AE -
sdvRequired(required): string
Allowed Values:
[ "NOTSET", "NEVER", "ALWAYS", "CRITICAL" ]Source Data Verification TypeExample:NEVER(0),ALWAYS(1),CRITICAL(2) -
sequence: integer
(int32)
Item position in the form.Example:
1 -
smartItemId: string
(uuid)
Smart item Unique GUID
-
smartObject: string
Smart object.Example:
AGE
Match One Schema
Show Source
-
object
FormNumberItemDto v14.0
Title:
FormNumberItemDto v14.0Form Number Item Details Information -
object
FormChoiceItemDto v14.0
Title:
FormChoiceItemDto v14.0Form Choice Item Details Information -
object
FormTextItemDto v14.0
Title:
FormTextItemDto v14.0Form text Item Details Information -
object
FormDatetimeItemDto v14.0
Title:
FormDatetimeItemDto v14.0Form DateTime Item Details Information -
object
FormQuestionGroupItemDto v14.0
Title:
FormQuestionGroupItemDto v14.0Form Question Group Item Details Information -
object
FormTableItemDto
-
object
FormLabelItemDto
Nested Schema : FormItemDto v21.0
Type:
objectTitle:
FormItemDto v21.0Discriminator: questionType
Discriminator Values
- datetime
- numeric
- measurement
- text
- choice
- questionGroup
- table
- section
- label
- instructionalText
- existingData
- fileUpload
Base schema for a form item returned from a study form. The questionType value identifies the concrete item schema.
Show Source
-
advancedProps: array
advancedProps
-
applyChangeToVersion: string
For IPR apply change to versionExample:
1.0.0.1 -
clLabNormalsTag: string
Code list Lab Normals Tag used in the code list dialog taggingExample:
LabTest, LabUnit, LabGender, LabRace, LabStandardResult -
dataClassificationIds: array
dataClassificationIds
Data classification entries.
-
dataClassificationLevel: string
Data classification level if applicableExample:
edit, view -
dynamic: integer
(int32)
Number of preceding questions that must be answered before this dynamic item is included in the form.Example:
0 -
e2br3Mapping: array
e2br3Mapping
E2B R3 mapping entries.
-
formId: string
(uuid)
Form ID (UUID, 32-character uppercase hexadecimal string).
-
formTitle: string
Title of the form that contains the item.Example:
Demographics -
formula: string
Smart item formula.Example:
[{"ruleName":"AGE","ruleExpression":"AgeInYears(AGE_DOB_01, visitDate)"}] -
groupSequence: integer
(int32)
Group sequence.Example:
3 - hidden: boolean
-
id: string
(uuid)
Form item ID (UUID, 32-character uppercase hexadecimal string).
-
isCohortFactor: boolean
Flag that indicates whether this form item is used as a factor for randomization cohort or not.Example:
false -
isStrataFactor: boolean
Flag that indicates whether this form item is used as a factor for randomization stratum or not.Example:
false -
labNormalsTag: string
Lab Normals Tag used in dialog taggingExample:
LabTest, LabUnit, LabLowRange, LabHighRange, LabStandardResult -
questionHint: string
Minimum Length:
0Maximum Length:4000Form question hintExample:What is your age? -
questionLabel(required): string
Minimum Length:
1Maximum Length:4000Form question labelExample:Age -
questionType(required): string
Title:
FormItemTypeAllowed Values:[ "text", "instructionalText", "numeric", "datetime", "choice", "questionGroup", "table", "label", "section", "existingData", "fileUpload" ]Form item type. Possible values include text, datetime, numeric, choice, questionGroup, instructionalText, existingData, table, section, label, and fileUpload.Example:text -
randomizationTag: boolean
Flag that indicates whether this form item should be used for randomization stratification or not.Example:
true -
readOnly: boolean
Is form item read only?Example:
false -
refname(required): string
Minimum Length:
1Maximum Length:64Form item reference name.Example:NUMBER_01 -
required(required): boolean
Indicates whether an answer is required for this form item.Example:
true -
requiredDispensation: boolean
Indicates whether the form item is tagged as required for dispensation event minimum data collection.Example:
false -
requiredForCaseCreate: boolean
Indicates whether the form item is required for safety case creation minimum data collection.Example:
false -
requiredRandomization: boolean
Indicates whether the form item is tagged as required for randomization event minimum data collection.Example:
false -
requiredScreening: boolean
Indicates whether the form item is tagged as required for screening event minimum data collection.Example:
true -
ruleSet: string
A JSON-formatted set of validation rules for the answer.Example:
{"logicalOperator":"NONE","rules":[],"numberIndex":1} -
sasLabel: string
SAS label for the form item when configured.Example:
Subject Initials -
sasVariable: string
SAS variable name for the form item when configured.Example:
SUBJINIT -
sdvRequired(required): string
Source data verification setting. Possible values are NOTSET, NEVER, ALWAYS, and CRITICAL.Example:
NEVER -
sequence: integer
(int32)
Item position in the form.Example:
1 -
smartItemId: string
(uuid)
Smart item ID (UUID, 32-character uppercase hexadecimal string).
-
smartObject: string
Smart object.Example:
AGE -
triggerFollowupCase: boolean
Indicates whether the form item can trigger a follow-up safety case.Example:
false -
visitIds: array
visitIds
Visit IDs associated with this form item. Each value is a UUID, 32-character uppercase hexadecimal string.
Match One Schema
Show Source
-
object
FormNumberItemDto v21.0
Title:
FormNumberItemDto v21.0Numeric or measurement form item returned from a study form. -
object
FormChoiceItemDto v21.0
Title:
FormChoiceItemDto v21.0Choice form item returned from a study form, including selectable options when configured. -
object
FormTextItemDto v21.0
Title:
FormTextItemDto v21.0Text form item returned from a study form. -
object
FormDatetimeItemDto v21.0
Title:
FormDatetimeItemDto v21.0Date or date-time form item returned from a study form. -
object
FormQuestionGroupItemDto v21.0
Title:
FormQuestionGroupItemDto v21.0Question group form item returned from a study form. Nested items contain the questions in the group. -
object
FormTableItemDto v21.0
Title:
FormTableItemDto v21.0Form Table Item Details Information -
object
FormSectionalItemDto v21.0
Title:
FormSectionalItemDto v21.0Form Sectional Item Details Information -
object
FormLabelItemDto
-
object
FormInstructionalTextItemDto v21.0
Title:
FormInstructionalTextItemDto v21.0Instructional text item returned from a study form. -
object
FormExistingDataItemDto v21.0
Title:
FormExistingDataItemDto v21.0Existing-data form item returned from a study form. -
object
FormFileUploadItemDto v21.0
Title:
FormFileUploadItemDto v21.0Form File Upload Item Details Information
Example:
{
"questionType":"text",
"id":"9E0F5C16D8A94C5E9E0F5C16D8A94C5E",
"formId":"2F9A6C7E1B8F4D56A23C9F3A0C7D4E11",
"visitIds":[
"7B4F1B4C9E874845A67B2A83251F9012"
],
"formTitle":"Demographics",
"questionLabel":"Subject Initials",
"questionHint":"Enter the subject initials.",
"refname":"SUBJ_INIT",
"required":true,
"dynamic":0,
"hidden":false,
"readOnly":false,
"sdvRequired":"NEVER",
"sequence":1,
"groupSequence":1,
"sasVariable":"SUBJINIT",
"sasLabel":"Subject Initials"
}Nested Schema : FormLabelItemDto-allOf[1]
Type:
Show Source
object-
advancedProps: array
advancedProps
-
clDescription: string
Minimum Length:
0Maximum Length:4000Codelist description only for choice type formitemExample:Standard gender codelist -
clTitle: string
Codelist title only for choice type formitemExample:
Gender -
codelistId: string
(uuid)
ID of the codelist used by the choice item (UUID, 32-character uppercase hexadecimal string).
-
codelistLang: string
Language of the codelist used by the choice item.Example:
en-US -
codelistLinkType: string
Allowed Values:
[ "STATIC", "DYNAMIC" ]Indicates whether the codelist mapped to the item is static or dynamic.Example:STATIC -
columnLayout: string
Column layout codelist ID (UUID, 32-character uppercase hexadecimal string).Example:
EBCF17C5F8D4460AA4A9673485C79CF0 -
columnLayoutLabel: string
Column layout label displayed for the choice item.Example:
Single -
display: string
Pattern:
selectbox|checkbox|radioset|labelDisplay control used for the choice item. Allowed values: selectbox, checkbox, radioset, or label.Example:radioset -
isCodeListReplaced: boolean
Indicates if the choice option codelist is replacedExample:
true -
options: array
options
Nested Schema : advancedProps
Type:
Show Source
array-
Array of:
object FormItemAdvancedPropWithParentDto v21.0
Title:
FormItemAdvancedPropWithParentDto v21.0Advanced property associated with a form item and its parent object.
Nested Schema : options
Type:
Show Source
array-
Array of:
object FormOptionDto v21.0
Title:
FormOptionDto v21.0Selectable option returned for a choice form item.
Nested Schema : FormItemAdvancedPropWithParentDto v21.0
Type:
objectTitle:
FormItemAdvancedPropWithParentDto v21.0Advanced property associated with a form item and its parent object.
Show Source
-
id: string
(uuid)
Extended property ID (UUID, 32-character uppercase hexadecimal string).
-
label: string
Rollover study nameExample:
Rollover Study BT-31 -
name: string
Advanced property nameExample:
RolloverQuestionStudyId -
parentObjectId: string
(uuid)
Parent object ID (UUID, 32-character uppercase hexadecimal string).
-
parentObjectLabel: string
Parent object label.Example:
Demographics -
parentObjectLevel: string
Parent object level.Example:
FORM -
rules: array
rules
Advanced property rules list.
-
type: string
Advanced property type.Example:
RolloverQuestion -
value: string
Advanced property value. The meaning depends on the advanced property name.Example:
C2C8327AFAA6412287106192AB5984EF
Example:
{
"id":"B1B8327AFAA6412287106192AB5984EF",
"type":"AssignedVisit",
"name":"Visit",
"value":"D3D8327AFAA6412287106192AB5984EF",
"label":"Screening",
"parentObjectId":"2F9A6C7E1B8F4D56A23C9F3A0C7D4E11",
"parentObjectLabel":"Demographics",
"parentObjectLevel":"FORM"
}Nested Schema : rules
Type:
arrayAdvanced property rules list.
Show Source
-
Array of:
object FormItemAdvancedPropRuleDto v21.0
Title:
FormItemAdvancedPropRuleDto v21.0Rule entry for a form item advanced property.
Example:
[
{
"name":"RolloverQuestionAnswer",
"value":"B1B8327AFAA6412287106192AB5984EF",
"label":"Yes"
}
]Nested Schema : FormItemAdvancedPropRuleDto v21.0
Type:
objectTitle:
FormItemAdvancedPropRuleDto v21.0Rule entry for a form item advanced property.
Show Source
-
label: string
Rule label.Example:
Yes -
name: string
Rule name.Example:
RolloverQuestionAnswer -
value: string
Rule value.Example:
B1B8327AFAA6412287106192AB5984EF
Example:
{
"name":"RolloverQuestionAnswer",
"value":"YES",
"label":"Yes"
}Nested Schema : FormOptionDto v21.0
Type:
objectTitle:
FormOptionDto v21.0Selectable option returned for a choice form item.
Show Source
-
clCode: string
Codelist code for the choice option when linked to a codelist.Example:
F -
clDescription: string
Minimum Length:
1Maximum Length:4000Codelist description for the choice option when linked to a codelist.Example:Female -
clItemId: string
(uuid)
Codelist item ID for the choice option (UUID, 32-character uppercase hexadecimal string).
-
clValue: string
Codelist value for the choice option when linked to a codelist.Example:
Female - hidden: boolean
-
label: string
Minimum Length:
1Maximum Length:4000Display label for the choice option.Example:Female -
optionSeq: string
Minimum Length:
1Maximum Length:4000Sequence value for ordering the choice option.Example:1 -
value: string
Minimum Length:
1Maximum Length:4000Stored answer value for the choice option.Example:F
Example:
{
"label":"Female",
"value":"F",
"clCode":"F",
"clDescription":"Female",
"clValue":"Female",
"clItemId":"1F4A6C7E1B8F4D56A23C9F3A0C7D4E21",
"hidden":false,
"optionSeq":"1"
}Examples
500 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}